<?php

namespace Slovocast\Infrastructure\Application;

/**
 * Ideally this would define the Container definition required for setting up
 * dependencies within the PHP DI ContainerBuilder class
 */
interface DefinitionInterface 
{
    /**
     * @return array<string, mixed> The definition structure used for setting
     *                              up a Container
     */
    public function define(): array;
}
